Subject: [OPSAWG] Review of draft-tgraf-ipfix-mpls-sr-label-type-03

From: <[email-masked]>
Date: Sun, 29 Mar 2020 06:58:11 +0000

Dear opsawg,

Encouraged by the input from the spring list I updated draft-tgraf-ipfix-mpls-sr-label-type by adding a new additional IPFIX entity called SrSidType which complements the mplsTopLabelType.

https://tools.ietf.org/html/draft-tgraf-ipfix-mpls-sr-label-type-03

https://www.ietf.org/rfcdiff?url2=draft-tgraf-ipfix-mpls-sr-label-type-03

This allows not only to understand which label protocol assigned the top label, but also for which SID type. The SID type brings additional insights into Segment Routing forwarding behavior which are interesting for LFA applications which are hard to troubleshoot without as an example.

I got that idea by looking at the sub-tlv IPFIX code-points for LSP Ping where I noticed the distinction between IGP-Prefix and IGP-Adjacency.

https://www.iana.org/assignments/mpls-lsp-ping-parameters/mpls-lsp-ping-parameters.xhtml#sub-tlv-1-16-21

Since mplsTopLabelType represents the MPLS forwarding plane, where I could have added all the SID types for all the protocols as well, I went a more general approach to use a dedicated field for SID Type. That can be applied for MPLS-SR and SRv6 as well. It's debatable which approach would be simpler. Feedback more than welcome.

I intend to show this draft at this opsawg interim meeting if there is enough time and at IETF 108. In the meanwhile I am more than happy to receive feedback from the list.

Best Wishes
Thomas